===============================================================================
               NetWare Loadable Modules / Server Library SDK Headers
                                Changes History

       See also changes history in source bases v3.12j, v4.10h and v4.11g.
===============================================================================
-1. (*.c, *.h, etc.) Got everything into Continuus; this is a compilation of
all the SDK header files from all the libraries. February 1997--Russ Bateman

1. Completion of port from v4.11g. This binary now runs under NetWare v3.12,
v4.10, v4.11 (Green River/IntranetWare) and v5.0 (Moab).
11 March 1997--Russ Bateman, Del Robins, Thane Diamond and Rich Jardine

2. (nwthread.h) Added prototypes for new APIs GetNLMIDFromNLMHandle() and
GetNLMNameFromNLMHandle() as per SPD #146999.

3. (dirent.h, nwfinfo.h) Added define for ScanErasedFiles() missing from port
from v4.11. 2 April 1997--Russ Bateman

4 (nwfinfo.h) ScanErasedFiles was #defined to ScanErasedFiles_411, but the
prototype was ScanErasedFiles, changed it to ScanErasedFiles_411.
11 April 97--Thane Diamond.

5. (nwmpk.h, nwmpkdefs.h) Removed these files. We will not publish MPK APIs.
Instead, we will probably publish PThreads.
14 April 1997--Russ Bateman

6. (nwfattr.h nwfileio.h) Fixed SPD #130779. Added the calls NWGetVolumeFlags
and NWSetVolumeFlags.
15 April 1997--Allan Neill

7. (stdlib.h) Changed EXIT_FAILURE from 1 to -1.
23 April 1997--Russ Bateman

8. (stdlib.h) Added scanenv(), though not to be documented.
19 May 1997--Russ Bateman

9. (nwmpk.h) Added MPK interfaces to be exported.
5 June 1997--Russ Bateman

10. (nwmalloc.h) Added alloca().
5 June 1997--Russ Bateman

11. (stddef.h) Changed 'whcar_t' from 'long' back to 'unsigned short' as it was
until the port of USL's code. It was a mistake to change this. There are two
years of SDK with this defined wrong. Intel has complained as have some of its
cooperating partners.
14 june 1997--Russ Bateman

12. (dirent.h, sys/stat.h) Beefed up the former with comments, prototypes for
the -_411 versions and added the macro to rename opendir() to openddir_411()
for example. Unlike stat_411(), this would not really have to be done (since
the DIR structure is allocated by the library instead of the caller), except
that new NLMs developed would expect to see the 'd_name' field at the end of
the structure (instead of where it was originally, now called 'd_nameDOS'). The
real thorny problem now is that, as DIR is dynamically allocated by the library
at a certain size and as v4.10 and v3.12 libraries will not allocate enough,
any new NLM referencing 'd_name' at the new offset (which they will do because
they are compiled with the new header), will crash because that will be past
the end of the allocated structure. The fix for this is explained and imple-
mented in CLibAux.NLM. The latter header was updated with respect to a comment
and some argument names were added to function prototypes missing them.
25 June 1997--Russ Bateman

13. (locale.h, nwlocale.h) See NLMLib changes #51. Changed LC_- constants to
match Watcom's (and USL's) and redefined setlocale() and NWLsetlocale() so that
these are only used by older NLMs--all new ones will get the new -_411 versions
that understand the new LC_- values.
3 July 1997--Russ Bateman

14. (signal.h) Added signals for IP and IPX/SPX protocol load/unload events.
These will work actively starting in Moab. In previous versions, registering to
handle these signals will work in the following way: When an NLM is loaded, the
IPX/SPX loaded signal will be automatically raised (since this protocol was
always available) and, if TCP/IP is already loaded, the IP loaded signal will
be raised. No unload signals will ever be raised to NLMs running on NetWare
prior to Moab (v5.0).
29 July 1997--Russ Bateman

15. (sys/ioctl.h) Added I_NWRITE as useful for calling ioctl() with an open
pipe descriptor. Pipes are based on a ring buffer. The number of bytes that may
be written before a call to write() blocks is known and useful information.
19 August 1997--Russ Bateman

16. (errno.h, sys/ioctl.h) Added new POSIX error codes missing from the former.
Added I_SETBUF for a pipe descriptor allowing the caller to modify the length
of the underlying ring buffer.
20 August 1997--Russ Bateman

17. (nwsignal.h) Converted old __RegisterSig and __CallSig stuff to the new
format.
26 Aug 97--Thane Diamond.

-------------------------------------------------------------------------------
Cadence Build 11 - 2 September 1997
-------------------------------------------------------------------------------

18. (pthread.h, sched.h, semaphore.h, synch.h) Removed these files from
distribution since PThreads is dead. Equivalent functionality will be furnished
through the headers under NPL. sys/time.h originated during the PThreads
project. It has been left for now.
6 September 1997--Russ Bateman

19. (nwsemaph.h) Added a prototype and 2 defines for a new function
SetSemaphoreTrackingFlag().
6 Sept 97--Thane Diamond.

20. (npl/sched.h, npl/nplapi.h, npl/thread.h) Removed npl/sched.h as it had
almost nothing in it and moved its two prototypes to npl/thread.h.
8 September 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 12 - 9 September 1997
-------------------------------------------------------------------------------

21. (npl/thread.h) Changed interfaces for getting context and exitting a
thread. This was run by K.Y. first.
10 September 1997--Russ Bateman

22. (nwmpk.h) Structure MPKCallOut had been changed by the MPK team.
10 September 1997--Russ Bateman

23. (npl/*.h) Various changes during intensive implementation.
10-13 September 1997--Russ Bateman

24. (nwmpk.h) Realigned this headers in preparation for publishing.
15 September 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 13 - 16 September 1997
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 14 - 23 September 1997
-------------------------------------------------------------------------------

25. (nwsignal.h) Changed _SIGLAST to 500, signals above _SIGLAST are reservered
for Novell.
25 Sept 97--Thane Diamond.

26. (npl/*.h) Lots of changes to get these files ready for prime time.
29 September 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 15 - 30 September 1997
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 16 - 14 October 1997
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 17 - 20 October 1997
-------------------------------------------------------------------------------

27. (string.h) Cleaned up this file.
22 October 1997--Russ Bateman

28. (nwtime.h) Removed a lot of this file's complexity and so-called
portability since this is never going to be used on the PowerPC or other non-
Intel platforms. Cleaned up some tabs that had crept in.
22 October 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 18 - skipped
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 19 - 28 October 1997
-------------------------------------------------------------------------------

29. (nwipxspx.h) See SPD #170576.
5 November 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 20 - 5 November 1997
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 21 - 11 November 1997
-------------------------------------------------------------------------------

30. (nwfileio.h) Added ParsePath(), _makepath() and _splitpath() to this
header. Cleaned up the header to better categorize the functions since, it
might be argued, these additions don't exactly belong here. Now they seem to
fit well enough. This fixes SPD #171107.
13 November 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 22 - 18 November 1997
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 23 - 24 November 1997
-------------------------------------------------------------------------------

13. (stdio.h, stdlib.h) Changed wchar_t from long to unsigned short as it was
already in stddef.h. See SPD #172081. Fr”hliche Weihnachten (or Weinnachten),
Jan.
1 December 1997--Russ Bateman

14. (assert.h, ctype.h, dirent.h, errno.h, fcntl.h, float.h, limits.h,
locale.h, malloc.h, math.h, setjmp.h, signal.h, stdarg.h, string.h, time.h,
unistd.h, utime.h) Cleaned up these headers, removing tabs, spurious and
nonstandard comments, adding appropriate comments, etc.
1 December 1997--Russ Bateman

15. (nwfileio.h) Added UseAccurateCaseForPaths() to enable the fix to SPD
#155387. Without calling this (and passing TRUE), this SPD won't be fixed. See
NLMLib changes #98.
3 December 1997--Russ Bateman

16. (signal.h) Removed SIG_IP?LOAD/UNLOAD and added SIG_IP?BIND/UNBIND. Aids in
fixing of SPD #169280.
12/3/97 rcarlson

-------------------------------------------------------------------------------
Cadence Build 23+ - 1 December 1997
-------------------------------------------------------------------------------

17. (assert.h, ctype.h, dirent.h errno.h fcntl.h, float.h, limits.h, locale.h,
malloc.h, math.h, setjmp.h, signal.h, stdarg.h, stddef.h, stdio.h, string.h,
time.h, unistd.h, utime.h, sys/bsdskt.h, sys/filio.h, sys/ioctl.h, sys/mman.h,
sys/socket.h, sys/sockio.h, sys/stat.h, sys/time.h, sys/types.h, sys/uio.h,
sys/utsname.h) Due to historic use of the lock-out for stdarg.h, the lock-outs
in the other headers were returned to their original form except that, for
reasons of standardization, others were changed to match. As it was discovered
that these others were little-used headers on the whole, I made the decision to
make their lock-out conform to the one in the other headers anyway. The lock-
out has the form, _FILENAME_H_ now. Too, some of the headers hadn't gone out
yet and this change to them won't matter.
13 December 1997--Russ Bateman

18. (nwfileng.h) Added prototypes for FEQuick... calls.
12/13/97 rcarlson

19. (nwerrno.h) Removed old NIT definitions not prefixed by ERR_ to
OSDK/Extras/niterror.h. with a note in both places. This is in response to
SPD #126146.
17 December 1997--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 28 - 6 January 1998
-------------------------------------------------------------------------------

20. (nwdos.h) Added prototype for DOSSetDateAndTime(). Fixes SPD #174435.
1/12/98 rcarlson

-------------------------------------------------------------------------------
Cadence Build 29 - 13 January 1998
-------------------------------------------------------------------------------

21. (nwmpk.h) Pruned this file in preparation for its potential use in the
futures area of SDK 15. Added note about the lack of portability of these
interfaces.
20 January 1998--Russ Bateman

22. (nwipxspx, nwsap.h, nwipx.h) Merged the first two into the third per the
decision of a meeting. The first two files' names conflict with existing cross-
platform header names. Developer Support claims they will accept any flac that
comes of this. This change will be reflected first in the futures area of SDK
15, then in SDK 16. The first two files, then, exist no longer.
20 January 1998--Russ Bateman

23. (nwaudit.h, nwaudnlm.h) Similar to #22.
20 January 1998--Russ Bateman

24. (nwncpext.h, nwncpx.h) Similar to #22 and #23.
20 January 1998--Russ Bateman

25. (nwconn.h, nwclient.h) Added defines for UDP and TCP address types and
lengths.
1/21/98 rcarlson

-------------------------------------------------------------------------------
Cadence Build 30 - 20 January 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 31 - 27 January 1998
-------------------------------------------------------------------------------

26. (nwmpk.h) Removed all the ExSet calls at Ramesh's bidding.
2 February 1998--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 32 - 3 February 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 33 - 10 February 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 34 - 17 February 1998
-------------------------------------------------------------------------------

27. (npl/fsio.h, npl/types.h) Fleshing out File and Directory APIs in NPL.
20 February 1998--Russ Bateman

-------------------------------------------------------------------------------
Cadence Build 35 - 24 February 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Cadence Build 36 - 3 March 1998
-------------------------------------------------------------------------------

28. (signal.h) added SIG_IPREGISTER and 3 other related defines. These are
actually used whereas the 4 SIG_BIND and related ones are not currently used.
We'll keep them in case we do some day. Part of fix to spd 181882.
3/6/98 rcarlson

-------------------------------------------------------------------------------
Cadence Build 37 - 10 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 138 - 13 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 139 - 19 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 140 - 20 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 141 - 25 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 142 - 31 March 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 143 - 3 April 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 144 - 6 April 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 410 - 10 April 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 421 - 21 April 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 427 - 27 April 1998
-------------------------------------------------------------------------------

29. (sys/stat.h) For Oracle, the stat structure was enhanced with alignment and
field width changes. See NLMLib changes #142.
28 April 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 501 - 1 May 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 505 - 5 May 1998
-------------------------------------------------------------------------------

30. (signal.h) Added new signal, SIG_LOCALECHANGE.
6 May 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 506 - 6 May 1998
-------------------------------------------------------------------------------

31. (nwfattr.h) added "#define LONGNameSpace 4" and "NWLONG_NAME_SPACE ..."
5/11/98 rcarlson

32. (nwmpk.h) removed all MPKApplication support.
12 May 98--Thane Diamond.

-------------------------------------------------------------------------------
Server-library Build 513 - 13 May 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 520 - 20 May 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 522 - 22 May 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 528 - 28 May 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 602 - 2 June 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 609 - 9 June 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 618 - 18 June 1998
-------------------------------------------------------------------------------

33. (stdlib.h) Now checking before defining min() or max() in order not to
conflict with stream.h or others. SPD #186920.
19 June 1998--Russ Bateman

34. (nwmalloc.h) Added support for alloca() when using this file with Borland,
Microsoft, EPC and Metrowerks. SPD #199223.
19 June 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 619 - 19 June 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 626 - 26 June 1998
-------------------------------------------------------------------------------

35. (nwthreads.h> See Threads #384.
1 July 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 701 - 1 July 1998
-------------------------------------------------------------------------------

36. (nwcntask.h) Added prototype for ReturnLocalConnection().
8 July 1998 - Tom Buckley

37. (sys/stat.h) Modified a few comments that had become erroneous. This was
prompted by SPD #202530 and changes to fstat().
14 July 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 714 - 14 July 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 721 - 21 July 1998
-------------------------------------------------------------------------------

38. (nwdebug.h) Added #ifdef __cplusplus stuff so this header can compile
with C++. SPD #202506.
23 July 98--Thane Diamond.

-------------------------------------------------------------------------------
Server-library Build 725 - 25 July 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 728 - 28 July 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 731 - 31 July 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 804 - 4 August 1998
-------------------------------------------------------------------------------

39. (unistd.h) Added prototypes for pread() and pwrite().
5 August 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build 806 - 6 August 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build 817 - 17 August 1998
-------------------------------------------------------------------------------

40. (nwmalloc.h) Adjusted this header to handle __MWERKS__ more explicitly.
4 October 1998--Russ Bateman

41. (float.h, math.h, stdlib.h) Changes to accommodate Edinburgh Portable
Compilers.
12 October 1998--Russ Bateman

-------------------------------------------------------------------------------
Server-library Build A14 - 14 October 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build A16 - 16 October 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build A21 - 21 October 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build A23 - 23 October 1998
-------------------------------------------------------------------------------

42. (nwdfs.h) added DFSSetDataSize(). Fixes spd 213592.
10/27/98 rcarlson

-------------------------------------------------------------------------------
Server-library Build A30 - 30 October 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
Server-library Build B06 - 06 November 1998
-------------------------------------------------------------------------------

43. (nwerrno.h) addedd ERR_NOT_AVAILABLE_PROTECTED for change to FSHooks.
Part of fix for spd 216203.
11/10/98 rcarlson

44. (nwdos.h) added mistaken prototypes for DOSChangeFileMode(), DOSRename(),
and DOSShutOffFloppyDrive()-simply didn't get moved forward to Moab.
11/18/98 rcarlson
-------------------------------------------------------------------------------
Server-library Build C14 - 14 December 1998
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
6Pack code break
-------------------------------------------------------------------------------

45. (nlmlib\lstrftim.c nwlocale.h nwtime.h)  Changed the char *fmt variable to a
const char *fmt in the prototype and defintions of Lstrftime() and NWLstrftime().
Added a char *fmtindex variable to NWLstrftime() so that fmt would be a constant.
Fixes NDK header inconsistencies.  SPD 233329, DEFECT000069135.
12 May 1999 - Jeff Lawson

46. (nwfattr.h)  Added an L to the #defines associated with the ModifyStructure
mask values since they are really 32 bit values and so that they will correspond
with the values in nwdentry.h in the SDK.  SPD 232112, DEFECT000069435.
13 May 1999 - Jeff Lawson

47. (ctype.h, float.h, math.h) Changes for supporting C++ in both MetroWerks
CodeWarrior and EPC's compiler (preprocessor macros in ctype.h conditionally
turned into inline functions, structs exception and complex in math.h renamed
when C++ compilation in effect, constant definitions in float.h adjusted to
accomodate specific C++ needs for aforementioned compilers' C++ runtime
libraries).
04/08/99 jbeulich

48. (float.h) Added parentheses to _LDBL_IS_EXTENDED macro definition
(resolves SPD 221414).
04/08/99 jbeulich

49. (nwfattr.h) Added back the _A_NO_SUBALLOC attribute value.  This was
excluded when things were moved over from direct.h.  It appears this was an
oversight.  SPD 228212 DEFECT000065639
3 June 1999 - Jeff Lawson

50. (npackon.h npackoff.h) New files (mirrors of the ones used in xplatapi) to
ensure structure packing can be controlled by the individual headers instead of
forcing the developers to set packing to 1 at all times.
19 July 1999 - Jan Beulich

51. (dirent.h locale.h nwadv.h nwaudnlm.h nwbitops.h nwcntask.h nwconio.h
nwconn.h nwdebug.h nwdfs.h nwdos.h nwfattr.h nwfileio.h nwfileng.h nwfinfo.h
nwintxx.h nwipx.h nwlib.h nwlocale.h nwmediam.h nwmpk.h nwncpx.h nwnspace.h
nwsmp.h nwstring.h nwthread.h nit\nwacctng.h nit\nwafp.h nit\nwbindry.h
nit\nwdatamg.h nit\nwdir.h nit\nwenvrn.h nit\nwenvrn1.h nit\nwextatt.h
nit\nwmsg.h nit\nwqueue.h nit\nwsertst.h nit\nwsync.h) Changes for const-
correctness of function prototypes and automatic structure packing adjustments.
19 July 1999 - Jan Beulich

52. (nwmalloc.h setjmp.h stdio.h stdlib.h time.h) Further inline replacements
of macros for C++ support.
19 July 1999 - Jan Beulich

53. (float.h) Another C++ addition to prevent name mangling.
19 August 1999 - Jan Beulich

54. (nwlocale.h) Changed NWstrncoll parameter 'maxBytes' to be 'maxChars'.
14 September 1999 - Ross Asay

55. (sdk\nit\nwservst.h, nit\servstat.c) The GetCacheInfoStructure.CacheInfo.
CacheByteToBlockShiftFactor was defined as a BYTE in the header, but it should
have been a LONG.  Also changed the buffer size check in SSGetCacheInfo() so that
nlms compiled with the old headers will still work.  Defect 206007.
8 October 1999 - Jeff Lawson

56. (nwlocale.h) Added prototypes for NWatoi, NWisalpha, NWisalnum, NWisdigit,
NWisxdigit, NWitoa, NWutoa, NWltoa, and NWultoa.
25 October 1999 - Ross Asay

57. (nwfileio.h) Added prototype for UnAugmentAsterisk (see #275 in
nlmlib\changes).
16 February 2000 - John Gay

58. (nit\nwenvrn1.h)  CONN_USING_FILE_REPLY_286 and CONN_USING_FILE_REPLY_386
numberOfRecords should have been a WORD but was a BYTE.  Defect 226731
7 March 2000 - Jeff Lawson

59. (stdio.h) Per complaint by someone in GroupWise, added 'fp' to in-line
function definition for C++.
18 April 2000--Russ Bateman

60. (nwdynarr.h) Moved extern "C" block to include tagT_DYNARRAY_BLOCK since
it has pointers to functions.
27 July 2000 - Randal Childers

61. (nwfileng.h) Added FEQuickFileLength and FEQuickWrite prototypes.
12 September 2000 - John Gay

62. (sys\bsdskt.h) Removed tabs and put 6pack tag on.  Matching changes are lib0
295, includes 338, mke 101, sdk 62, threads 524, and nlmlib 297.
25 September 2000 - Jeff Lawson

63. (nwthread.h) Removed unused symbols M_SetCLibContext and
M_RemoveCLibContext.
5 September 2001--Russ Bateman

64. (nwmpk.h, nwsmp.h) Remove these to the obsolete subdirectory.
12 September 2001--Russ Bateman

65. (libcclib.h) Added this new header, which will also be added to LibC's SDK
area. It is used by libcclib.nlm.
27 November 2001--Russ Bateman

66. (novsock2.h) Added this file in support of LDAP which does not want to have
to conditionally compile inclusion of novsock2.h for LibC-based consumers and
ws2nlm.h for CLib-based ones. This header merely includes ws2nlm.h.
11 March 2002--Russ Bateman

67. At Dimitry's suggestion in the newsgroup, we've done away with the C++
in-line definition of fileno().
22 May 2002--Russ Bateman

68. (nwfilengd.h) Added in flags reported by Carl Bretteville as now missing,
but before had been in obsolete header fileengd.h.
24 June 2002--Russ Bateman

69. (nwfattr.h) See DEFECT #314117. This definition got dropped years ago.
11 October 2002--Russ Bateman

70. (nwtime.h, time.h, utime.h, sys/stat.h, time.h) Changed definition of
'time_t' to same one as in LibC (there were two different definitions in these
files).
27 January 2004--Russ Bateman

71. (nwtime.h) A small change suggested by Dmitry Mityunov improves this
header. From newsgroup.
2 September 2004--Russ Bateman

72. (nwtime.h) The last change didn't take causing massive compilation problems
that I was unable to fix in the short amount of time I had to dedicate to the
problem.
3 September 2004--Russ Bateman

73. (nwadv.h) In the NW5.1 SP3 timeframe the event EVENT_LOGOUT_CONNECTION was
changed to fire after the connection was logged out. I changed the header
comment to reflect thie.
30 May 2006 - Jeff Lawson

